Loading...
Searching...
No Matches
vspace::WaitSemaphoreEvent Class Reference

`#include <vspace.h>`

## Public Member Functions

| WaitSemaphoreEvent (VRef< Semaphore > sem)
virtual bool | start_listen (internals::ipc_signal_t sig)
virtual void | stop_listen ()
void | complete ()

## Private Attributes

VRef< Semaphore > | _sem

## Detailed Description

Definition at line 2601 of file vspace.h.

## Constructor & Destructor Documentation

## WaitSemaphoreEvent()

vspace::WaitSemaphoreEvent::WaitSemaphoreEvent | ( | VRef< Semaphore > | sem | ) |

inline

Definition at line 2606 of file vspace.h.

: _sem(sem) {
}
vspace::WaitSemaphoreEvent::_sem
VRef< Semaphore > _sem
Definition vspace.h:2603

## Member Function Documentation

## complete()

void vspace::WaitSemaphoreEvent::complete | ( |  | ) |

inline

Definition at line 2614 of file vspace.h.

{
}

## start_listen()

virtual bool vspace::WaitSemaphoreEvent::start_listen | ( | internals::ipc_signal_t | sig | ) |

inline virtual

Implements vspace::Event.

Definition at line 2608 of file vspace.h.

{
return _sem->start_wait(sig);
}

## stop_listen()

virtual void vspace::WaitSemaphoreEvent::stop_listen | ( |  | ) |

inline virtual

Implements vspace::Event.

Definition at line 2611 of file vspace.h.

{
_sem->stop_wait();
}

## Field Documentation

## _sem

VRef<Semaphore> vspace::WaitSemaphoreEvent::_sem

private

Definition at line 2603 of file vspace.h.

The documentation for this class was generated from the following file:

- kernel/oswrapper/vspace.h